Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2000, 2009, Oracle and/or its affiliates. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## com.bea.p13n.model
Enum Operator

    java.lang.Object
      java.lang.Enum<Operator>
          com.bea.p13n.model.Operator

All Implemented Interfaces
  Serializable, Comparable<Operator>

    public enum Operator

extends Enum<Operator>

An enumeration representing a comparison operator between a left-hand-side property and a right-hand-side property or literal value.

Enum Constant Summary
`COLLECTION_CONTAINS`
`COLLECTION_CONTAINS_ALL`
`COLLECTION_CONTAINS_ANY`
`COLLECTION_DOES_NOT_CONTAIN`
`CONTENT_IN`
`CONTENT_LIKE`
`CONTENT_LIKE_IGNORE_CASE`
`EQUAL_TO`
`GREATER_THAN`
`GREATER_THAN_OR_EQUAL_TO`
`LESS_THAN`
`LESS_THAN_OR_EQUAL_TO`
`NOT_EQUAL_TO`
`STRING_CONTAINS`
`STRING_DOES_NOT_CONTAIN`

Method Summary
`String` | `toDisplayString()` Get display text of the operator, localized to the java vm's default locale.
`String` | `toSymbol()` Get a symbol form of the operator, localized to the java vm's default locale.
`static Operator` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static Operator[]` | `values()` Returns an array containing the constants of this enum type, in the order theyre declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### EQUAL_TO

    public static final Operator EQUAL_TO

### NOT_EQUAL_TO

    public static final Operator NOT_EQUAL_TO

### GREATER_THAN

    public static final Operator GREATER_THAN

### GREATER_THAN_OR_EQUAL_TO

    public static final Operator GREATER_THAN_OR_EQUAL_TO

### LESS_THAN

    public static final Operator LESS_THAN

### LESS_THAN_OR_EQUAL_TO

    public static final Operator LESS_THAN_OR_EQUAL_TO

### STRING_CONTAINS

    public static final Operator STRING_CONTAINS

### STRING_DOES_NOT_CONTAIN

    public static final Operator STRING_DOES_NOT_CONTAIN

### COLLECTION_CONTAINS

    public static final Operator COLLECTION_CONTAINS

### COLLECTION_DOES_NOT_CONTAIN

    public static final Operator COLLECTION_DOES_NOT_CONTAIN

### COLLECTION_CONTAINS_ALL

    public static final Operator COLLECTION_CONTAINS_ALL

### COLLECTION_CONTAINS_ANY

    public static final Operator COLLECTION_CONTAINS_ANY

### CONTENT_LIKE

    public static final Operator CONTENT_LIKE

### CONTENT_LIKE_IGNORE_CASE

    public static final Operator CONTENT_LIKE_IGNORE_CASE

### CONTENT_IN

    public static final Operator CONTENT_IN

Method Detail

### values

    public static final Operator[] values()

  Returns an array containing the constants of this enum type, in the order theyre declared.

### valueOf

    public static Operator valueOf(String name)

  Returns the enum constant of this type with the specified name.

### toDisplayString

    public String toDisplayString()

  Get display text of the operator, localized to the java vm's default locale.

### toSymbol

    public String toSymbol()

  Get a symbol form of the operator, localized to the java vm's default locale.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2000, 2009, Oracle and/or its affiliates. All rights reserved.
Oracle is a registered trademark of Oracle Corporation and/or its affiliates.
Other names may be trademarks of their respective owners.